package com.xplora.xpsettings.Activity;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.EditText;
import android.widget.FrameLayout;


import com.xplora.xpsettings.R;
import com.xplora.xpsettings.Utils.KeyUtils;

public class WifiLoginActivity extends BaseActivity {
    EditText password;
    FrameLayout check;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_wifi_login);
        password = findViewById(R.id.password);
        check = findViewById(R.id.check);
        check.setOnClickListener(view -> {
            Intent intent = new Intent();
            intent.putExtra("ssid", getIntent().getStringExtra("ssid"));
            intent.putExtra("bssid", getIntent().getStringExtra("bssid"));
            intent.putExtra("password", password.getText().toString());
            setResult(-1, intent);
            finish();
        });
        new KeyUtils(this, password);
    }
}